Eclipse GEMOC Studio

Primary tabs

The stand-alone GEMOC Studio is distributed as an Eclipse Package. It is useful if you want to install a full-fledged IDE with commonly used tools for Language design and animation.

To install the GEMOC Studio components into an Eclipse IDE use the update site URL provided below.

Requirements for Eclipse packages and update site: Java 8 and JavaFX . JavaFX is required for the Multidimensional timeline features, please make sure to install it or to use Oracle JRE.
Getting started: The studio comes with various example languages that you can import in your workspace: File > New > Examples…. — You can also install additional examples using the component discovery service: Help > Install additional GEMOC components. — You can also browse the language gallery for some more examples.